Subject: bug#73663: 29.4; indirect-buffer behaviour is not correct

From: Stefan Monnier <[email-masked]>
Date: Wed, 09 Oct 2024 08:46:23 -0400

> Due to svg in emacs is not fully support, i have implemented this
> by using =impatient-mode= with web-browser, when the svg file modified the
> preview will be changed at the same time.

It would probably be a good idea to add support for some kind of
"simultaneous preview" to the nxml-mode when editing an SVG, such that
it creates an auxiliary buffer in image-mode and updates it e.g. when
you save the file.

The same probably holds for other similar text+image formats, like XPM
and PostScript.

Maybe it should be some kind of `image-minor-mode` which lets you either
switch between `image-mode` and some other mode (like now) or display
the image in an auxiliary buffer.

        Stefan